Create a schema with a name, description and fields details.

Create a new custom schema with custom fields.

Key Features:

  • Create a new custom schema with a name, description and fields details. Note: The created schema will be in draft status by default.
  • Passed in SpacedIds can be used to distribute the created schema to specific spaces. Note: A schema can be distributed to multiple spaces.

Authorization Logic:

  1. User must have a valid tenant-level JWT token
  2. Token must have managing scope for custom schema

Usage Example:

POST
{
  "name": "Jira Issue Template",
  "description": "Create issue",
  "spaceIds": [
    "qQHVI3fYc0O5KPin4Dq53Q",
    "s1OhNFa3UU-KrjAk01Q4-Q"
  ],
  "fields": [
    {
      "name": "Project",
      "optional": false,
      "defaultValue": null,
      "description": "",
      "type": "select",
      "ext": {
        "possibleValues": [
          {
            "name": "Custom Content (CCONTENT)"
          },
          {
            "name": "Cloud Engineering (CLOUD)"
          },
          {
            "name": "Percolate Core (CORE)"
          }
        ]
      }
    },
    {
      "name": "Issue type",
      "optional": false,
      // Optionally set a default value if none selected.
      "defaultValue": "Task",
      "description": "",
      "type": "select",
      "ext": {
        "possibleValues": [
          {
            "name": "Bug"
          },
          {
            "name": "Task"
          }
        ]
      }
    },
    {
      "name": "Summary",
      "optional": false,
      "defaultValue": null,
      "description": "",
      "type": "text",
      "ext": {
        "placeholder": null,
        "max": 500.0,
        // use `null` for default min/max
        "min": null
      }
    },
    {
      "Id": "mkeBLZlGrECKqVHglxaFqA",
      "name": "description",
      "optional": false,
      "defaultValue": null,
      "description": "",
      "type": "richtext",
      "ext": {
        "placeholder": "Press command + / to learn time-saving keyboard shortcuts.",
        // missing min/max is identifical as `null`
        "max": 20000.0
      }
    },
    {
      "name": "Enable Feature DOD",
      "optional": true,
      "defaultValue": false,
      "description": "",
      "type": "bool",
      // Use null for field type without `ext` options
      "ext": null
    },
    {
      "name": "Story Points",
      "optional": true,
      "defaultValue": 0.0,
      "description": "",
      "type": "numeric",
      "ext": {
        "max": 100.0,
        "min": 0.0
      }
    },
    {
      "name": "Due date",
      "optional": true,
      "defaultValue": null,
      "description": "",
      "type": "datetime",
      "ext": null
    },
    {
      "name": "Labels",
      "optional": true,
      "defaultValue": null,
      "description": "",
      "type": "stringarray",
      "ext": {
        "max": 10.0,
        "min": null
      }
    },
    {
      "name": "Components",
      "optional": false,
      "defaultValue": null,
      "description": "",
      "type": "multiselect",
      "ext": {
        "possibleValues": [
          {
            "name": "StrongDM"
          },
          {
            "name": "Custom Domain"
          },
          {
            "name": "General"
          }
        ],
        "max": 50.0,
        "min": null
      }
    },
    {
      "name": "Start/End date",
      "optional": true,
      "defaultValue": null,
      "description": "",
      "type": "datetimerange",
      "ext": null
    },
    {
      "name": "Note",
      "optional": true,
      "defaultValue": null,
      "description": "",
      "type": "textarea",
      "ext": {
        "placeholder": null,
        "max": null,
        "min": null
      }
    },
    {
      "name": "Attachments",
      "optional": true,
      "defaultValue": null,
      "description": "",
      "type": "attachment",
      "ext": {
        "max": 10,
        "min": null
      }
    }
  ]
}

Permissions Required:

  1. Requires: seismic.custom_schema.manage
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The request body for creating a custom schema. Note: The created schema will be in draft status by default, and a schema can be distributed to multiple spaces.

fields
array of objects
length between 1 and 200

The fields of the schema to be created, which is required and must have at least one item and at most 200 items. Note: no null values are allowed in the fields array.

fields
string
required

The name of the field, which is required and must be unique across the schema. Note: name cannot be updated after the field is created.

boolean

Whether the field is optional, which is required. If the value is not provided in the request, it will be defaulted set to true, which means the field is not required.

defaultValue
object

A default value for this field if no data is provided. Validity of the input depends on field type. For example, for a string type field, it can be any string; for a number type field, it should be a number; for a boolean type field, it should be true or false; for a single-select or multi-select field, it should be the name of the choices. This is an optional property and if not provided, there will be no default value for this field.

string

The description of the field, which is optional.

string
enum
required

The type of the field, which is required. Supported field types include: boolean, single-select, multi-select, text, text-area, rich-text, datetime, datetime-range, numeric, string-array and attachment. Note: single-select means only one choice can be selected while multi-select means multiple choices can be selected.

ext
object

This holds field type specific data. Use null for field type without options (e.g. datetime). E.g. possibleValues can be specified for select and multiSelect.

string
length ≤ 255

The name of the schema to be created, which is required and must be unique across the tenant, a duplicated name will result in a Bad Request error.

string
length ≤ 1000

The description of the schema to be created, which is optional. If not provided, it will be defaulted to an empty string.

spaceIds
array of uuids

The IDs of the spaces where the schema will be distributed. If not provided, the schema will not be distributed to any space. Note: ShortGuid of the space can also be used and the system will convert it to spaceId automatically.

spaceIds
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json